﻿@model IEnumerable<ClientPrevEsp>
<h3 style="margin-bottom:10px">Previous Retirement Plan</h3>
@if (Model.Count() > 0)
{
    <table class="table-custom">
        <thead>
            <tr>
                <th>Employer</th>
                <th>Current Balance</th>
                <th>Rate of Return</th>
                <th>Receive Income?</th>
                <th>Annual Amount</th>
            </tr>
        </thead>
        @foreach (var item in Model.OrderBy(m => m.EmploymentOf))
        {
            <tr>
                <td>
                    @item.EmployerName - @item.EmploymentOfWithData
                </td>
                <td>
                    @string.Format("{0:C0}", item.PreEmpCurrentBalance)
                </td>
                <td>
                    @item.PreEmpAvgRateReturn%
                </td>
                <td>
                    @(item.HasPreEmpIncome ? "Yes" : "No")
                </td>
                <td>
                    @(item.PreEmpAnnualAmount > 0 ? string.Format("{0:C0}", item.PreEmpAnnualAmount) : "-")
                </td>
            </tr>
        }
    </table>
}
else
{
    <div class="text-na">N/A</div>
}
<hr style="border-top: 1px solid #23588d;margin-top:30px" />